add_newline = false
scan_timeout = 60
format = "$all"

[character]
success_symbol = "[❯](bold green)"
error_symbol = "[✗](bold red)"
vicmd_symbol = "[❮](bold green)"
format = "$symbol "
disabled = false

[cmake]
symbol = "喝"
style = "bold blue"
format = "via [$symbol$version]($style) "
disabled = false

[cmd_duration]
min_time = 1000
show_milliseconds = false
show_notifications = false
style = "bold yellow"
format = "took [$duration]($style) "
disabled = false

[conda]
truncation_length = 1
symbol = "🐍 "
style = "bold dimmed green"
format = "[$symbol$environment]($style) "
ignore_base = true
disabled = true

[crystal]
symbol = "🔮 "
style = "bold red"
format = "via [$symbol$version]($style) "
disabled = true

[dart]
symbol = "🔰 "
style = "bold blue"
format = "via [$symbol$version]($style) "
disabled = true

[deno]
symbol = "🦕 "
style = "green bold"
format = "via [$symbol($version)]($style)"
disabled = true

[directory]
truncation_length = 5
truncate_to_repo = true
use_logical_path = true
fish_style_pwd_dir_length = 0
home_symbol = "~"
truncation_symbol = ""
read_only = "🔒"
read_only_style = "red"
style = "bold cyan"
format = "[$path]($style)[$read_only]($read_only_style) "
disabled = false

[docker_context]
only_with_files = false
symbol = "🐋 "
style = "blue bold"
format = "via [$symbol$context]($style) "
disabled = false

[elixir]
symbol = "💧"
style = "bold purple"
format = "via [$symbol$version \\(OTP $otp_version\\)]($style) "
disabled = false

[git_branch]
truncation_symbol = "…"
symbol = " "
style = "bold purple"
format = "on [$symbol$branch]($style) "
disabled = false

[git_commit]
commit_hash_length = 8
only_detached = true
tag_symbol = "🔖 "
style = "bold green"
format = "[\\($hash\\)]($style) [\\($tag\\)]($style)"
tag_disabled = false
disabled = false

[git_state]
rebase = "REBASING"
merge = "MERGING"
revert = "REVERTING"
cherry_pick = "CHERRY-PICKING"
bisect = "BISECTING"
am = "APPLY-MAILBOX"
am_or_rebase = "AM/REBASE"
style = "dimmed bold yellow"
format = '\([$state( $progress_current/$progress_total)]($style)\) '
disabled = false

[git_metrics]
added_style = "bold green"
deleted_style = "bold red"
format = '[+$added]($added_style) [-$deleted]($deleted_style) '
disabled = true

[git_status]
conflicted = "=${count} "
ahead = "⇡${count} "
behind = "⇣${count} "
diverged = "⇡${ahead_count} ⇣${behind_count} "
untracked = "?${count} "
stashed = "\\$${count} "
modified = "!${count} "
staged = "+${count} "
renamed = "»${count} "
deleted = "✘${count} "
style = "bold red"
format = "[$all_status$ahead_behind]($style)"
disabled = false

[golang]
symbol = " "
style = "bold cyan"
format = "via [$symbol$version]($style) "
disabled = false

[helm]
symbol = "⎈ "
style = "bold white"
format = "via [$symbol$version]($style) "
disabled = false

[hostname]
ssh_only = true
trim_at = ""
style = "bold dimmed green"
format = "[$hostname]($style) in "
disabled = false

[java]
symbol = "☕"
style = "red dimmed"
format = "via [${symbol}${version}]($style) "
disabled = false

[jobs]
threshold = 1
symbol = "✦"
style = "bold yellow"
format = "[$symbol$number]($style) "
disabled = false

[julia]
symbol = " "
style = "bold purple"
format = "via [$symbol$version]($style) "
disabled = false

[kubernetes]
symbol = "⛵ "
style = "cyan bold"
format = "[$symbol$context( \\($namespace\\))]($style) in "
disabled = false
[kubernetes.context_aliases]
"dev.local.cluster.k8s" = "dev"

[line_break]
disabled = false

[lua]
lua_binary = "lua"
symbol = " "
style = "bold blue"
format = "via [$symbol($version )]($style)"
disabled = false

[hg_branch]
truncation_symbol = "…"
symbol = " "
style = "bold purple"
format = "on [$symbol$branch]($style) "
disabled = false

[nodejs]
symbol = " "
style = "bold green"
not_capable_style = "bold red"
format = "via [$symbol$version]($style) "
disabled = false

[package]
display_private = true
symbol = "📦 "
style = "bold 208"
format = "via [$symbol$version]($style) "
disabled = false

[perl]
symbol = "🐪 "
style = "bold 149"
format = "via [$symbol$version]($style) "
disabled = false

[python]
pyenv_version_name = false
pyenv_prefix = "pyenv"
symbol = " "
style = "yellow bold"
format = "via [${symbol}${pyenv_prefix}${version}( \\($virtualenv\\))]($style) "
disabled = false

[ruby]
symbol = "💎 "
style = "bold red"
format = "via [$symbol$version]($style) "
disabled = false

[rust]
symbol = "🦀 "
style = "bold red"
format = "via [$symbol$version]($style) "
disabled = false

[status]
symbol = "💣 "
not_executable_symbol = "🚫"
not_found_symbol = "🔍"
sigint_symbol = "🧱"
signal_symbol = "⚡"
recognize_signal_code = true
map_symbol = true
style = "bold red"
format = "[$status]($style) "
disabled = false

[terraform]
symbol = "ﯟ "
style = "bold 105"
format = "via [$symbol$version$workspace]($style) "
disabled = false

[time]
use_12hr = false
time_format = "%T"
utc_time_offset = "local"
time_range = "00:00:00-23:59:59"
style = "bold yellow"
format = "at 🕙 [$time]($style) "
disabled = true

[username]
show_always = false
style_user = "bold yellow"
style_root = "bold red"
format = "[$user]($style) in "
disabled = false

[vagrant]
symbol = "⍱ "
style = "cyan bold"
format = "via [$symbol($version)]($style) "
disabled = true

[zig]
symbol = "↯ "
style = "bold yellow"
format = "via [$symbol$version]($style) "
disabled = false
